[Beowulf] compatibility between different versions of mpich

Patrick Geoffray patrick at myri.com
Thu Jul 6 01:27:15 PDT 2006

Hi Toon,

Toon Knapen wrote:
> So if our application is linked with mpichgm but our user has mpich for 
> ch_p4 installed or has no mpi installation at all, is it advised to 
> distribute the mpirun script (of our mpichgm installation) with our 
> application? If yes, what exactly do we need to distribute (only the 
> mpirun script or more) ?

If you call mpirun.ch_gm instead of mpirun (which is a good way to be 
sure of which script is used), then all you need is bin/mpirun.ch_gm and 

If you call the top level mpirun, then you would need more stuff, like 

Patrick Geoffray
Myricom, Inc.

More information about the Beowulf mailing list